```
██████╗  ██████╗ ██╗    ██╗███████╗██████╗
██╔══██╗██╔═══██╗██║    ██║██╔════╝██╔══██╗
██████╔╝██║   ██║██║ █╗ ██║█████╗  ██████╔╝
██╔═══╝ ██║   ██║██║███╗██║██╔══╝  ██╔══██╗
██║     ╚██████╔╝╚███╔███╔╝███████╗██║  ██║
╚═╝      ╚═════╝  ╚══╝╚══╝ ╚══════╝╚═╝  ╚═╝
```
# class Folder (Details)
> namespace: **VDM\Joomla\Componentbuilder\Compiler\Utilities**
```uml
@startuml
class Folder  #Gold {
  # Counter $counter
  # File $file
  + __construct(?Counter $counter = null, ?File $file = null)
  + create(string $path, bool $addHtml = true) : void
  + remove(string $path, ?array $ignore = null) : bool
  # shouldIgnore(string $basePath, string $filePath, ...) : bool
}

note right of Folder::__construct
  Constructor

  since: 3.2.0
end note

note right of Folder::create
  Create Path if not exist

  since: 3.2.0
  return: void
end note

note right of Folder::remove
  Remove folders with files

  since: 3.2.0
  return: bool
end note

note right of Folder::shouldIgnore
  Check if the current path should be ignored.

  since: 3.2.0
  return: bool
  
  arguments:
    string $basePath
    string $filePath
    ?array $ignore = null
end note
 
@enduml
```

---
```
     ██╗ ██████╗██████╗
     ██║██╔════╝██╔══██╗
     ██║██║     ██████╔╝
██   ██║██║     ██╔══██╗
╚█████╔╝╚██████╗██████╔╝
 ╚════╝  ╚═════╝╚═════╝
```
> Build with [Joomla Component Builder](https://git.vdm.dev/joomla/Component-Builder)

